# class Puppet::Util::CommandLine::ExternalSubcommand

@api private

### Public Class Methods

new(path_to_subcommand, command_line) click to toggle source

    # File lib/puppet/util/command_line.rb, line 138
    def initialize(path_to_subcommand, command_line)
      @path_to_subcommand = path_to_subcommand
      @command_line = command_line
    end

### Public Instance Methods

run() click to toggle source

    # File lib/puppet/util/command_line.rb, line 143
    def run
      Kernel.exec(@path_to_subcommand, *@command_line.args)
    end